Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class FetchProfile

    java.lang.Object
      org.hibernate.mapping.FetchProfile

    public class FetchProfile

extends Object

A fetch profile allows a user to dynamically modify the fetching strategy used for particular associations at runtime, whereas that information was historically only statically defined in the metadata.

This class represent the data as it is defined in their metadata.

See Also:
  `FetchProfile`

Nested Class Summary
`static class` | `FetchProfile.Fetch` Defines an individual association fetch within the given profile.

Constructor Summary
`FetchProfile(String name, MetadataSource source)` Create a fetch profile representation.

Method Summary
`void` | `addFetch(String entity, String association, String style)` Adds a fetch to this profile.
`boolean` | `equals(Object o)`
`LinkedHashSet<FetchProfile.Fetch>` | `getFetches()` Retrieve the fetches associated with this profile
`String` | `getName()` Retrieve the name of the fetch profile.
`MetadataSource` | `getSource()` Retrieve the fetch profile source.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FetchProfile

    public FetchProfile(String name,
                        MetadataSource source)

  Create a fetch profile representation.

  Parameters:
    `name` - The name of the fetch profile.
    `source` - The source of the fetch profile (where was it defined).

Method Detail

### getName

    public String getName()

  Retrieve the name of the fetch profile.

  Returns:
    The profile name

### getSource

    public MetadataSource getSource()

  Retrieve the fetch profile source.

  Returns:
    The profile source.

### getFetches

    public LinkedHashSet<FetchProfile.Fetch> getFetches()

  Retrieve the fetches associated with this profile

  Returns:
    The fetches associated with this profile.

### addFetch

    public void addFetch(String entity,
                         String association,
                         String style)

  Adds a fetch to this profile.

  Parameters:
    `entity` - The entity which contains the association to be fetched
    `association` - The association to fetch
    `style` - The style of fetch t apply

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.